#require 'will_paginate/array'

class Subject < ActiveRecord::Base
  attr_accessible :code, :name, :sheet
  belongs_to :lecturer, :class_name => "User"
  has_many :clazzs
  
  def save_file(upload)
    dir = Rails.root.join("public","data")
    if !File.exists? dir
      Dir.mkdir dir
    end
    fname = code + '.txt'
    # fname = File.basename(upload.original_filename)
    # fname.gsub!('/^\w\.\_/','_')
    path = File.join(dir,fname)
    File.open(path, "w") { |f| f.write(upload.read) }
    self.sheet = path
    self.save
  end
  
  def get_classes(page)
    clazzs.order('updated_at desc').paginate(:page=>page,:per_page=>5)
  end
end
