class UsersController < ApplicationController
  before_filter :find_user, :except => [:new, :create]

  def new
  end
  
  def create
    @user = User.create params[:user]
    if @user.save
      flash[:notice] = 'Successful registration'
      session[:user] = @user.id
      redirect_to :back
      MyMailer.welcome(@user).deliver
    else
      flash[:notice] = 'Unsuccessful registration'
      redirect_to '/users/new'
    end
  end

  def edit
  end
  
  def update
    respond_to do |format|
      if @user.update_attributes(params[:user])
        format.html { redirect_to :action => :show }
        format.js
      else
        format.html { render :action => :edit }
        format.js { render json:@user.errors, status: :unprocessable_entity }
      end
    end
  end

  def forgotten
  end
  
  def send_forgotten
  end
  
  def show
  end
  
  private
  def find_user
    @user = User.find session[:user]
  end
end
