require 'test_helper'

class NewSubjectTest < ActionDispatch::IntegrationTest
  # test "the truth" do
  #   assert true
  # end
  fixtures :all

  test "new subject" do
    get '/subjects/new'
    assert_response :success
    post_via_redirect '/sessions/create',
      { :username => 'oweyoa', :password => 'titok'},
      { 'HTTP_REFERER' => '/subjects/new'}
    assert_equal session[:user], users(:me).id
    assert_response :success
    s = Subject.all.size
    f = fixture_file_upload('test/fixtures/files/ror.txt', 'text/plain')
    post_via_redirect '/subjects/create',
      { :subject => { name: "Matek", code: "BME...", sheet: f }},
      { 'HTTP_REFERER' => '/subjects/new'}
    assert_equal s+1, Subject.all.size
    assert File.exists? File.join(Rails.root.join("public","data"), "BME....txt")
    assert_select "p#sheet", 1
  end
end
